
This document demonstrates all of the characters in the font. It is organized by Unicode block. Alternate glyphs that are available through features are demonstrated in the [Features](features) document. At the end is a sample demonstrating Arabic shaping and another example of running text.

### Basic Latin:

Regular: <span class='awamiL-R normal'> ! " # $ % & ' ( ) * + , - . / 0 1 2 3 4 5 6 7 8 9 : ; < = > ? @ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z [ \ ] ^ _ ` a b c d e f g h i j k l m n o p q r s t u v w x y z { | } ~</span>

**Bold**: <span class='awamiL-B normal'> ! " # $ % & ' ( ) * + , - . / 0 1 2 3 4 5 6 7 8 9 : ; < = > ? @ A B C D E F G H I J K L M N O P Q R S T U V W X Y Z [ \ ] ^ _ ` a b c d e f g h i j k l m n o p q r s t u v w x y z { | } ~</span>


### Latin-1 Supplement:

Regular: <span dir="rtl" class='awamiL-R normal'>   ¡ ¢ £ ¤ ¥ ¦ § ¨ © ª « ¬ ­ ® ¯ ° ± ² ³ ´ µ ¶ · ¸ ¹ º » ¼ ½ ¾ ¿ À Á Â Ã Ä Å Æ Ç È É Ê Ë Ì Í Î Ï Ñ Ò Ó Ô Õ Ö × Ø Ù Ú Û Ü Ý Þ ß à á â ã ä å æ ç è é ê ë ì í î ï ñ ò ó ô õ ö ÷ ø ù ú û ü ý þ ÿ</span>

**Bold**: <span dir="rtl" class='awamiL-B normal'>   ¡ ¢ £ ¤ ¥ ¦ § ¨ © ª « ¬ ­ ® ¯ ° ± ² ³ ´ µ ¶ · ¸ ¹ º » ¼ ½ ¾ ¿ À Á Â Ã Ä Å Æ Ç È É Ê Ë Ì Í Î Ï Ñ Ò Ó Ô Õ Ö × Ø Ù Ú Û Ü Ý Þ ß à á â ã ä å æ ç è é ê ë ì í î ï ñ ò ó ô õ ö ÷ ø ù ú û ü ý þ ÿ</span>


### Latin Extended-A:

Regular: <span dir="rtl" class='awamiL-R normal'>ı OE oe Š š Ÿ Ž ž</span>

**Bold**: <span dir="rtl" class='awamiL-B normal'>ı OE oe Š š Ÿ Ž ž</span>


### Latin Extended-B:

Regular:<span class='awamiL-R normal'> ƒ</span>

**Bold**:<span class='awamiL-B normal'> ƒ</span>

### Spacing Modifier Letters:

Regular: <span class='awamiL-R normal'>ˆ ˇ ˉ ː ˘ ˙ ˚ ˛ ˜</span>

**Bold**: <span class='awamiL-B normal'>ˆ ˇ ˉ ː ˘ ˙ ˚ ˛ ˜</span>


### Combining Diacritical Marks:

Regular: <span class='awamiL-R normal'>◌̧ ◌̀ ◌́ ̂◌ ◌̃ ̈◌ ◌̊ ◌̌ ◌̧ CGJ (U+034F)</span>

**Bold**: <span class='awamiL-B normal'>◌̧ ◌̀ ◌́ ̂◌ ◌̃ ̈◌ ◌̊ ◌̌ ◌̧ CGJ (U+034F)</span>


### Greek and Coptic:

Regular: <span class='awamiL-R normal'> &#x03C0; </span>

**Bold**: <span class='awamiL-B normal'> &#x03C0; </span>


### General Punctuation, Superscripts and Subscripts, Supplemental Punctuation:

Regular:<span class='awamiL-R normal'> ‐ - ‒ – — ― ‘ ’ ‚ “ ” „ † ‡ • ‥… ‰ ‹ › ⁄ ⁴</span>

**Bold**:<span class='awamiL-B normal'> ‐ - ‒ – — ― ‘ ’ ‚ “ ” „ † ‡ • ‥… ‰ ‹ › ⁄ ⁴</span>


### Currency Symbols:

Regular:<span class='awamiL-R normal'> €</span>

**Bold**:<span class='awamiL-B normal'> €</span>


### Letterlike Symbols, Geometric Shapes: 

Regular:<span class='awamiL-R normal'>™ ◌</span>

**Bold**:<span class='awamiL-B normal'>™ ◌</span>


### Arabic:

#### Regular:
<p dir="rtl"><span dir="rtl" class='awami-R normal'>&#x0600; &#x0601; &#x0602; &#x0603; &#x0604; &#x0609; &#x060A; &#x060B; &#x060C; &#x060D; &#x060E; &#x060F; &#x25cc;&#x0610; &#x25cc;&#x0611; &#x25cc;&#x0612; &#x25cc;&#x0613; &#x25cc;&#x0614; &#x25cc;&#x0615; &#x061B; &#x061C; &#x061F; &#x0620; &#x0621; &#x0622; &#x0623; &#x0624; &#x0625; &#x0626; &#x0627; &#x0628; &#x0629; &#x062A; &#x062B; &#x062C; &#x062D; &#x062E; &#x062F; &#x0630; &#x0631; &#x0632; &#x0633; &#x0634; &#x0635; &#x0636; &#x0637; &#x0638; &#x0639; &#x063A; &#x0641; &#x0642; &#x0643; &#x0644; &#x0645; &#x0646; &#x0647; &#x0648; &#x0649; &#x064A; &#x25cc;&#x064B; &#x25cc;&#x064C; &#x25cc;&#x064D; &#x25cc;&#x064E; &#x25cc;&#x064F; &#x25cc;&#x0650; &#x25cc;&#x0651; &#x25cc;&#x0652; &#x25cc;&#x0653; &#x25cc;&#x0654; &#x25cc;&#x0655; &#x25cc;&#x0656; &#x25cc;&#x0657; &#x25cc;&#x0658; &#x25cc;&#x0659; &#x25cc;&#x065A; &#x25cc;&#x065B; &#x25cc;&#x065E; &#x25cc;&#x065F; &#x0660; &#x0661; &#x0662; &#x0663; &#x0664; &#x0665; &#x0666; &#x0667; &#x0668; &#x0669; &#x066A; &#x066B; &#x066C; &#x066D; &#x066E; &#x066F; &#x0670; &#x0671; &#x0672; &#x0673; &#x0674; &#x0675; &#x0679; &#x067A; &#x067B; &#x067C; &#x067D; &#x067E; &#x0681; &#x0683; &#x0684; &#x0685; &#x0686; &#x0687; &#x0688; &#x0689; &#x068A; &#x068B; &#x068E; &#x0690; &#x0691; &#x0693; &#x0694; &#x0695; &#x0696; &#x0697; &#x0698; &#x0699; &#x069A; &#x069B; &#x069C; &#x069E; &#x06A0; &#x06A1; &#x06A4; &#x06A5; &#x06A9; &#x06AB; &#x06AD; &#x06AF; &#x06B0; &#x06B1; &#x06B3; &#x06B5; &#x06B7; &#x06B9; &#x06BA; &#x06BB; &#x06BC; &#x06BD; &#x06BE; &#x06C0; &#x06C1; &#x06C2; &#x06C3; &#x06C4; &#x06C5; &#x06C6; &#x06C7; &#x06C8; &#x06C9; &#x06CA; &#x06CB; &#x06CC; &#x06CD; &#x06CE; &#x06CF; &#x06D0; &#x06D2; &#x06D3; &#x06D4; &#x06D5; &#x25cc;&#x06DC; &#x06DD; &#x25cc;&#x06E0; &#x25cc;&#x06E1; &#x25cc;&#x06EA; &#x25cc;&#x06ED; &#x06F0; &#x06F1; &#x06F2; &#x06F3; &#x06F4; &#x06F5; &#x06F6; &#x06F7; &#x06F8; &#x06F9; &#x06FB; </span></p>

#### Bold:
<p dir="rtl"><span dir="rtl" class='awami-B normal'>&#x0600; &#x0601; &#x0602; &#x0603; &#x0604; &#x0609; &#x060A; &#x060B; &#x060C; &#x060D; &#x060E; &#x060F; &#x25cc;&#x0610; &#x25cc;&#x0611; &#x25cc;&#x0612; &#x25cc;&#x0613; &#x25cc;&#x0614; &#x25cc;&#x0615; &#x061B; &#x061C; &#x061F; &#x0620; &#x0621; &#x0622; &#x0623; &#x0624; &#x0625; &#x0626; &#x0627; &#x0628; &#x0629; &#x062A; &#x062B; &#x062C; &#x062D; &#x062E; &#x062F; &#x0630; &#x0631; &#x0632; &#x0633; &#x0634; &#x0635; &#x0636; &#x0637; &#x0638; &#x0639; &#x063A; &#x0641; &#x0642; &#x0643; &#x0644; &#x0645; &#x0646; &#x0647; &#x0648; &#x0649; &#x064A; &#x25cc;&#x064B; &#x25cc;&#x064C; &#x25cc;&#x064D; &#x25cc;&#x064E; &#x25cc;&#x064F; &#x25cc;&#x0650; &#x25cc;&#x0651; &#x25cc;&#x0652; &#x25cc;&#x0653; &#x25cc;&#x0654; &#x25cc;&#x0655; &#x25cc;&#x0656; &#x25cc;&#x0657; &#x25cc;&#x0658; &#x25cc;&#x0659; &#x25cc;&#x065A; &#x25cc;&#x065B; &#x25cc;&#x065E; &#x25cc;&#x065F; &#x0660; &#x0661; &#x0662; &#x0663; &#x0664; &#x0665; &#x0666; &#x0667; &#x0668; &#x0669; &#x066A; &#x066B; &#x066C; &#x066D; &#x066E; &#x066F; &#x0670; &#x0671; &#x0672; &#x0673; &#x0674; &#x0675; &#x0679; &#x067A; &#x067B; &#x067C; &#x067D; &#x067E; &#x0681; &#x0683; &#x0684; &#x0685; &#x0686; &#x0687; &#x0688; &#x0689; &#x068A; &#x068B; &#x068E; &#x0690; &#x0691; &#x0693; &#x0694; &#x0695; &#x0696; &#x0697; &#x0698; &#x0699; &#x069A; &#x069B; &#x069C; &#x069E; &#x06A0; &#x06A1; &#x06A4; &#x06A5; &#x06A9; &#x06AB; &#x06AD; &#x06AF; &#x06B0; &#x06B1; &#x06B3; &#x06B5; &#x06B7; &#x06B9; &#x06BA; &#x06BB; &#x06BC; &#x06BD; &#x06BE; &#x06C0; &#x06C1; &#x06C2; &#x06C3; &#x06C4; &#x06C5; &#x06C6; &#x06C7; &#x06C8; &#x06C9; &#x06CA; &#x06CB; &#x06CC; &#x06CD; &#x06CE; &#x06CF; &#x06D0; &#x06D2; &#x06D3; &#x06D4; &#x06D5; &#x25cc;&#x06DC; &#x06DD; &#x25cc;&#x06E0; &#x25cc;&#x06E1; &#x25cc;&#x06EA; &#x25cc;&#x06ED; &#x06F0; &#x06F1; &#x06F2; &#x06F3; &#x06F4; &#x06F5; &#x06F6; &#x06F7; &#x06F8; &#x06F9; &#x06FB; </span></p>

### Arabic Supplement:

#### Regular:

<p dir="rtl"><span dir="rtl" class='awami-R normal'>&#x0759; &#x075A; &#x075C; &#x0762; &#x0763; &#x0768; &#x0769; &#x076A; &#x076B; &#x076C; &#x076D; &#x076E; &#x076F; &#x0770; &#x0771; &#x0772; &#x0773; &#x0774; &#x0775; &#x0776; &#x0777; &#x0778; &#x0779; &#x077A; &#x077B; &#x077C; &#x077D; &#x077E; &#x077F;</span></p>

#### Bold:
<p dir="rtl"><span dir="rtl" class='awami-B normal'>&#x0759; &#x075A; &#x075C; &#x0762; &#x0763; &#x0768; &#x0769; &#x076A; &#x076B; &#x076C; &#x076D; &#x076E; &#x076F; &#x0770; &#x0771; &#x0772; &#x0773; &#x0774; &#x0775; &#x0776; &#x0777; &#x0778; &#x0779; &#x077A; &#x077B; &#x077C; &#x077D; &#x077E; &#x077F;</span></p>


### Arabic Extended-A:

#### Regular:
<p dir="rtl"><span dir="rtl" class='awami-R normal'>&#x08C7; &#x08C8; &#x25cc;&#x08FF;</span></p>

#### Bold:
<p dir="rtl"><span dir="rtl" class='awami-B normal'>&#x08C7; &#x08C8; &#x25cc;&#x08FF;</span></p>



### Arabic Presentation Forms:

#### Regular:
<p dir="rtl"><span class='awami-R normal'>&#xFD3E; &#xFD3F; &#xFD47; &#xFDCF; &#xFDF2; &#xFDFA; &#xFDFB; &#xFDFC; &#xFDFD;</span></p>

#### Bold:
<p dir="rtl"><span class='awami-B normal'>&#xFD3E; &#xFD3F; &#xFD47; &#xFDCF; &#xFDF2; &#xFDFA; &#xFDFB; &#xFDFC; &#xFDFD;</span></p>

### Arabic Extended-C:

#### Regular:
<p dir="rtl"><span class='awami-R normal'>&#x10ED0;</span></p>

#### Bold:
<p dir="rtl"><span class='awami-B normal'>&#x10ED0;</span></p>

## Arabic Shaping (some basic shapes):

#### Regular:
<p dir="rtl"><span class='awami-R normal'>&#x0627; &#x200D;&#x0627; &#x0628; &#x0628;&#x0628;&#x0628; &#x062c; &#x062c;&#x062c;&#x062c; &#x062f; &#x200d;&#x062f; &#x0631; &#x200d;&#x0631; &#x0633; &#x0633;&#x0633;&#x0633;  &#x0635; &#x0635;&#x0635;&#x0635; &#x0637; &#x0637;&#x0637;&#x0637; &#x0639; &#x0639;&#x0639;&#x0639; &#x0641; &#x0641;&#x0641;&#x0641; &#x0642; &#x0642;&#x0642;&#x0642; &#x0643; &#x0643;&#x0643;&#x0643; &#x0644; &#x0644;&#x0644;&#x0644; &#x0645; &#x0645;&#x0645;&#x0645; &#x0646; &#x0646;&#x0646;&#x0646; &#x0647; &#x0647;&#x0647;&#x0647; &#x0648; &#x200d;&#x0648; &#x064A; &#x064A;&#x064A;&#x064A; &#x06a9; &#x06a9;&#x06a9;&#x06a9; &#x06d2; &#x200d;&#x06d2; &#x0644;&#x0627; </br>
&#x202D;&#x6DD;&#x31;&#x32;&#x33;&#x202C; &#x202D;&#x6DD;&#x0661;&#x0662;&#x0663;&#x202C;</span></p>

#### Bold:
<p dir="rtl"><span class='awami-B normal'>&#x0627; &#x200D;&#x0627; &#x0628; &#x0628;&#x0628;&#x0628; &#x062c; &#x062c;&#x062c;&#x062c; &#x062f; &#x200d;&#x062f; &#x0631; &#x200d;&#x0631; &#x0633; &#x0633;&#x0633;&#x0633;  &#x0635; &#x0635;&#x0635;&#x0635; &#x0637; &#x0637;&#x0637;&#x0637; &#x0639; &#x0639;&#x0639;&#x0639; &#x0641; &#x0641;&#x0641;&#x0641; &#x0642; &#x0642;&#x0642;&#x0642; &#x0643; &#x0643;&#x0643;&#x0643; &#x0644; &#x0644;&#x0644;&#x0644; &#x0645; &#x0645;&#x0645;&#x0645; &#x0646; &#x0646;&#x0646;&#x0646; &#x0647; &#x0647;&#x0647;&#x0647; &#x0648; &#x200d;&#x0648; &#x064A; &#x064A;&#x064A;&#x064A; &#x06a9; &#x06a9;&#x06a9;&#x06a9; &#x06d2; &#x200d;&#x06d2; &#x0644;&#x0627; </br>
&#x202D;&#x6DD;&#x31;&#x32;&#x33;&#x202C; &#x202D;&#x6DD;&#x0661;&#x0662;&#x0663;&#x202C;</span></p>


## Urdu UDHR #26:

<p dir="rtl"><span class='awami-B normal'> دفعہ ۲۶۔</span></p>

<p dir="rtl"><span style="line-height:210%" class='awami-R normal'>(۱) ہر شخص کو تعلیم کا حق ہے۔ تعلیم مفت ہو گی، کم سے کم ابتدائی اور بنیادی درجوں میں۔ ابتدائی تعلیم جبری ہو گی۔ فنّی اور پیشہ ورانہ تعلیم حاصل کرنے کا عام انتظام کیا جائے گا اور لیاقت کی بنا پر اعلیٰ تعلیم حاصل کرنا سب کے لئے مساوی طور پر ممکن ہو گا۔</span></p>

<p dir="rtl"><span style="line-height:210%" class='awami-R normal'>(۲) تعلیم کا مقصد انسانی شخصیت کی پوری نشوونما ہو گا۔ اور وہ انسانی حقوق اور بنیادی آزادیوں کے احترام میں اضافہ کرنے کا ذریعہ ہو گی۔ وہ تمام قوموں اور نسلی یا مذہبی گروہوں کے درمیان باہمی مفاہمت، رواداری اور دوستی کو ترقی دے گی اور امن کو برقرار رکھنے کے لئے اقوامِ متحدہ کی سرگرمیوں کو آگے بڑھائے گی۔</span></p>

<p dir="rtl"><span style="line-height:210%" class='awami-R normal'>(۳) والدین کو اس بات کے انتخاب کا اوّلین حق ہے کہ ان کے بچوں کو کس قسم کی تعلیم دی جائے گی۔</span></p>

## Uyghur UDHR #26:
<p dir="rtl"><span class='awami-hamz-1-B normal'>26 ماددا</span></p>

<p dir="rtl"><span style='line-height:210%; font-feature-settings: "hamz" 1' class='awami-R normal'>ھەمە ئادەم بىلىم ئېلىش ھوقۇقىغا ئىگە. بىلىم ئېلىش ھەقسىز بولۇشى كېرەك. ھېچ بولمىغاندا، باشلانغۇچ ۋە ئاساسىي باسقۇچتا شۇنداق بولۇشى كېرەك. باشلانغۇچ مائارىپ مەجبۇرىيەت خاراكتېرىدا بولۇشى كېرەك. تېخنىكا مائارىپى ۋە كەسپىي مائارىپى ئومۇميۈزلۈك تەسىس قىلىش كېرەك. ئالىي مائارىپنىڭ ئىشىكىنى نەتىجىگە قاراپ بارلىق كىشىلەرگە تەڭ ئېچىۋېتىش كېرەك.</span></p>

<p dir="rtl"><span style='line-height:210%; font-feature-settings: "hamz" 1' class='awami-R normal'>مائارىپنىڭ مەقسىتى ئادمنىڭ خاسلىقىنى بولۇق يېتىلدۈرۈش ھەمدە كىشىلىك ھوقۇقى ۋە ئاساسىي ئەركىنلىككە بولغان ھۆرمەتنى كۈچەيتىش. مائارىپ ھەرقايسى دۆلەتلەر، ئىرقلار، ياكى ھەرقايسى دىنىي گۇرۇھلار ئارا چۇشىنىشنى، يول قويۇشنى ۋە دوستلۇقنى ئىلگىرى سۈرۈشى ھەمدە بىرلەشكەن دۆلەتلەر تەشكىلاتىنىڭ تىنچلىقنى قوغداش يولىدىكى تۇرلۇك پائالىيەتلىرنى ئالغا سۈرۈشى كېرەك.</span></p>

<p dir="rtl"><span style='line-height:210%; font-feature-settings: "hamz" 1' class='awami-R normal'>ئاتا-ئانىلار پەرزەنتلىرىنىڭ ئېلىشقا تېگىشلىك بىلىم تۇرلىرىنى ئاۋۋال تاللاش ھوقۇقىغا ىگە.</span></p>

[font id='awami' face='AwamiNastaliq-Regular' bold='AwamiNastaliq-Bold' size='150%' lineheight='200%' rtl=1]
[font id='awamiL' face='AwamiNastaliq-Regular' bold='AwamiNastaliq-Bold' size='150%' ltr=1]


[font id='awami-hamz-1' face='AwamiNastaliq-Regular' bold='AwamiNastaliq-Bold' size='150%' lineheight='200%' rtl=1 feats='hamz 1']
